Server Power Controls
List Server Controls
GET /server/{server_id}/control
Response 200: A list of Server Power Controls
| Field | Type | Description |
|---|---|---|
admin_password |
string | |
admin_user |
string | |
client_password |
string | |
client_user |
string | |
id |
integer | VirtlixCP-specific unique identifier used for URLs, etc. |
ip |
string | |
server |
object | |
server.id |
integer | |
server.srv_id |
string | |
type |
object | |
type.id |
integer | |
type.name |
string |
Delete Server Control
DELETE /server/{server_id}/control/{server_control_id}
Response 200: Server Power Control deleted.
View Server Control
GET /server/{server_id}/control/{server_control_id}
Response 200: A Server Power Control
| Field | Type | Description |
|---|---|---|
admin_password |
string | |
admin_user |
string | |
client_password |
string | |
client_user |
string | |
id |
integer | VirtlixCP-specific unique identifier used for URLs, etc. |
ip |
string | |
server |
object | |
server.id |
integer | |
server.srv_id |
string | |
type |
object | |
type.id |
integer | |
type.name |
string |
Run Control Command
POST /server/{server_id}/control/{server_control_id}/command
Request body
| Field | Type | Required | Description |
|---|---|---|---|
admin_password |
string | ||
admin_user |
string | ||
cached_system_info |
string | ||
client_password |
string | ||
client_user |
string | ||
has_acl |
boolean | ||
hostname |
string | ||
id |
integer | VirtlixCP-specific unique identifier used for URLs, etc. | |
ip |
string | ||
name |
string | ||
port_forwarding_type |
string | ||
server |
object | ||
server.id |
integer | VirtlixCP-specific unique identifier used for URLs, etc. | |
server.srv_id |
string | ||
status |
object | ||
status.checked_at |
object | ||
status.desc |
string | ||
type |
object | ||
type.id |
integer | VirtlixCP-specific unique identifier used for URLs, etc. | |
type.name |
string | ||
type.supports |
object | ||
web_address |
string |
Response 209: Command created
Open Server KVM
GET /server/{server_id}/control/{server_control_id}/kvm
Response 200: KVM Launched
View Server Control Status
GET /server/{server_id}/control/{server_control_id}/status
Response 200: A Server Power Control Status
| Field | Type | Description |
|---|---|---|
admin_password |
string | |
admin_user |
string | |
cached_system_info |
string | |
client_password |
string | |
client_user |
string | |
has_acl |
boolean | |
hostname |
string | |
id |
integer | VirtlixCP-specific unique identifier used for URLs, etc. |
ip |
string | |
name |
string | |
port_forwarding_type |
string | |
server |
object | |
server.id |
integer | VirtlixCP-specific unique identifier used for URLs, etc. |
server.srv_id |
string | |
status |
object | |
status.checked_at |
object | |
status.desc |
string | |
type |
object | |
type.id |
integer | VirtlixCP-specific unique identifier used for URLs, etc. |
type.name |
string | |
type.supports |
object | |
web_address |
string |